/**
 * Theme Name: Hello Elementor - OneD
 * Author: MIGHTYminnow
 * Author URI: https://mightyminnow.com/
 * Template: hello-elementor
 * Text Domain: hello-oned
 * Version: 1.0.3
 */

#content{
	overflow: hidden;
}

/**
 * Underline
 */
.underlined{
	z-index: 1;
	position: relative;
}
.underlined::before{
	z-index: -1;
	content: "";
	position: absolute;
	right: 0;
	bottom: 0;
	left: 0;
	height: 0.4em;
	background: var(--e-global-color-a594c3a);
}

/**
 * Text Widgets
 */

/** Underline links in Text widgets. */
.elementor .elementor-widget-text-editor a{
	text-decoration: underline;
}

/**
 * Button Widgets
 */

/** Remove underline from buttons. */
.elementor .elementor-widget-button .elementor-button-wrapper .elementor-button{
	text-decoration: none;
}

/**
 * Gravity Forms
 */

/** Required text. */
#content .gfield_required_text{
	font-weight: 700;
	font-size: 16px;
	color: #ED7172;
}

/** Text and Email Inputs and Textareas. */
#content input[type="text"],
#content input[type="email"],
#content textarea{
	border-radius: 9px;
}

/** Buttons. */
#content .gform_button{
	padding: 0.9em 3em;
}

/** Consent field. */
#content .ginput_container_consent label{
	margin-bottom: 3px;
}

/**
 * Animation
 */
#animation{
	overflow: hidden;
}
#animation .animation-section{
	position: relative;
	z-index: 2;
	display: flex;
	justify-content: space-between;
	align-items: flex-start;
	flex-wrap: wrap;
}
#animation .animation-text{
	width: 100%;
}
#animation h2{
	margin: 0 0 15px;
	color: var(--e-global-color-1ea4e11);
}
#animation p{
	margin: 0;
	font-size: 18px;
}
#animation .animation-stage{
	position: relative;
	margin: 15px auto;
	width: 230px;
	height: 230px;
}
#animation .animation-stage-desktop,
#animation .animation-stage-b{
	opacity: 0;
}
#animation .animation-separator{
	margin: 20px -10px 20px 10px;
	width: 1px;
	height: 360px;
	background: #fff;
}
#animation #animation-ev .animation-separator{
	display: none;
}
#animation img{
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
}
#animation #animation-climate img,
#animation #animation-graphite img{
	top: 30px;
	left: 30px;
	width: 170px;
}
#animation #animation-step img{
	top: 5px;
	left: 5px;
	width: 220px;
}
#animation #animation-affects .animation-stage-d{
	height: 230px;
}
#animation #animation-cell .animation-stage-a img{
	left: 50px;
	width: 130px;
}
#animation #animation-pack .animation-stage-a img{
	width: 50px;
}
#animation #animation-pack .animation-stage-a img:nth-child(1) {
	transform: translate( 55px, 70px );
}
#animation #animation-pack .animation-stage-a img:nth-child(2) {
	transform: translate( 105px, 70px );
}
#animation #animation-pack .animation-stage-a img:nth-child(3) {
	transform: translate( 155px, 70px );
}
#animation #animation-pack .animation-stage-a img:nth-child(4) {
	transform: translate( 40px, 90px );
}
#animation #animation-pack .animation-stage-a img:nth-child(5) {
	transform: translate( 90px, 90px );
}
#animation #animation-pack .animation-stage-a img:nth-child(6) {
	transform: translate( 140px, 90px );
}
#animation #animation-pack .animation-stage-a img:nth-child(7) {
	transform: translate( 25px, 110px );
}
#animation #animation-pack .animation-stage-a img:nth-child(8) {
	transform: translate( 75px, 110px );
}
#animation #animation-pack .animation-stage-a img:nth-child(9) {
	transform: translate( 135px, 110px );
}
#animation #animation-ev{
	z-index: 1;
	position: relative;
}
#animation .animation-ev-battery{
	top: 110px;
	left: 59px;
	width: 115px;
}

@media( min-width: 768px ) {
	#animation .animation-section{
		align-items: center;
	}

	#animation .animation-separator{
		display: none;
	}

	#animation .animation-text{
		width: 500px;
	}
	#animation p{
		font-weight: 400;
		font-size: 24px;
		line-height: 34px;
	}

	/** Separators */
	#animation .animation-text::before,
	#animation .animation-text::after{
		content: "";
		display: block;
		margin-left: 10px;
		width: 1px;
		height: 150px;
		background: #fff;
	}
	#animation .animation-text::before{
		margin-bottom: 15px;
	}
	#animation .animation-text::after{
		margin-top: 30px;
	}
	#animation .animation-section:first-child .animation-text::before,
	#animation .animation-section:last-child .animation-text::after{
		opacity: 0;
	}

	#animation .animation-stage-mobile{
		opacity: 0;
	}
	#animation .animation-stage-desktop{
		opacity: 1;
	}
	#animation #animation-ev .animation-ev-battery{
		display: none;
	}
}

@media( min-width: 1024px ) {
	#animation .animation-text{
		width: 570px;
	}
	#animation .animation-stage{
		margin: auto;
	}
}

/**
 * Animation
 */
#animation2{
	overflow: hidden;
}
#animation2 .animation-section{
	position: relative;
	z-index: 2;
	display: flex;
	justify-content: space-between;
	align-items: center;
	flex-wrap: wrap;
}
#animation2 .animation-text{
	width: 100%;
}
#animation2 h2{
	margin: 0 0 15px;
	color: var(--e-global-color-1ea4e11);
}
#animation2 p{
	margin: 0;
	font-size: 24px;
}
#animation2 .animation-stage{
	position: relative;
	margin: 15px auto;
	width: 230px;
	height: 230px;
}
#animation2 .animation-stage-b{
	opacity: 0;
}
#animation2 img{
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
}
#animation2 #animation-climate img,
#animation2 #animation-graphite img{
	top: 30px;
	left: 30px;
	width: 170px;
}
#animation2 #animation-step img{
	top: 5px;
	left: 5px;
	width: 220px;
}
#animation2 #animation-affects .animation-stage-d{
	height: 230px;
}
#animation2 #animation-cell .animation-stage-a img{
	left: 50px;
	width: 130px;
}
#animation2 #animation-pack .animation-stage-a img{
	width: 50px;
}
#animation2 #animation-pack .animation-stage-a img:nth-child(1) {
	transform: translate( 55px, 70px );
}
#animation2 #animation-pack .animation-stage-a img:nth-child(2) {
	transform: translate( 105px, 70px );
}
#animation2 #animation-pack .animation-stage-a img:nth-child(3) {
	transform: translate( 155px, 70px );
}
#animation2 #animation-pack .animation-stage-a img:nth-child(4) {
	transform: translate( 40px, 90px );
}
#animation2 #animation-pack .animation-stage-a img:nth-child(5) {
	transform: translate( 90px, 90px );
}
#animation2 #animation-pack .animation-stage-a img:nth-child(6) {
	transform: translate( 140px, 90px );
}
#animation2 #animation-pack .animation-stage-a img:nth-child(7) {
	transform: translate( 25px, 110px );
}
#animation2 #animation-pack .animation-stage-a img:nth-child(8) {
	transform: translate( 75px, 110px );
}
#animation2 #animation-pack .animation-stage-a img:nth-child(9) {
	transform: translate( 135px, 110px );
}
#animation2 #animation-ev{
	z-index: 1;
	position: relative;
}
#animation2 .animation-ev-battery{
	top: 110px;
	left: 59px;
	width: 115px;
}

@media( max-width: 767px ) {
	#animation2 .animation-section{
		flex-direction: column;
		justify-content: flex-end;
	}

	#animation2 .animation-section > *{
		margin: 0;
	}
	#animation2 .animation-text{
		display: flex;
		flex-direction: column;
		justify-content: center;
		padding: 0 15px;
		height: 350px;
		text-align: center;
		opacity: 0;
	}
	#animation2 .animation-text p{
		margin: 0 auto;
		max-width: 400px;
		font-size: 16px;
	}
}


@media( min-width: 768px ) {
	#animation2 .animation-text{
		width: 500px;
	}

	/** Separators */
	#animation2 .animation-text::before,
	#animation2 .animation-text::after{
		content: "";
		display: block;
		margin-left: 10px;
		width: 1px;
		height: 150px;
		background: #fff;
	}
	#animation2 .animation-text::before{
		margin-bottom: 15px;
	}
	#animation2 .animation-text::after{
		margin-top: 30px;
	}
	#animation2 .animation-section:first-child .animation-text::before,
	#animation2 .animation-section:last-child .animation-text::after{
		opacity: 0;
	}
}

@media( min-width: 1024px ) {
	#animation2 .animation-text{
		width: 570px;
	}
	#animation2 .animation-stage{
		margin: auto;
	}
}

/**
 * Home News
 */
.home-news .elementor-button{
	text-align: left;
}

/**
 * SuperLayer
 */
#content .superlayer{
	position: relative;
	z-index: 1;
}
#content .superlayer img{
	z-index: 99;
	display: block;
	margin: auto;
}
#content #superlayer-heading{
	z-index: 100;
	position: relative;
}
.scroll-indicator{
	display: flex;
	justify-content: center;
	align-items: center;
}
.scroll-indicator{
	font-size: 14px;
	color: var(--e-global-color-e8cb523);
	text-transform: uppercase;
}
.scroll-indicator i{
	position: relative;
	margin-left: 0.3em;
	top: 5px;
	text-align: center;
	font-size: 2.3em;
	line-height: 0.1em;
	color: #fff;
}

@media( max-width: 767px ) {
	.superlayer img{
		height: 56vw;
	}
}

/**
 * Visualizer
 */
@media( max-width: 767px ) {
	.visualizer-front-container{
		max-width: 100%;
		overflow: auto;
	}
	.visualizer-front-3063{
		min-height: 410px;
	}
}

.elementor-element-bf8951e{
	height: 450px !important;
}

/**
 * About Page
 */

/**
 * About Section Headings
 */
#content .about-section-heading .elementor-widget-divider{
	max-width: 90px;
	margin: 15px 0 0;
}

@media( min-width: 768px ) {
	#content .about-section-heading .elementor-column{
		width: 100%;
	}
	#content .about-section-heading .elementor-widget{
		width: auto;
	}
	#content .about-section-heading .elementor-widget-divider{
		flex-grow: 1;
		margin: 10px 0 0 10px;
		max-width: none;
	}	
}

/**
 * Company Page
 */

/**
 * Timeline
 */

/** Timeline Years */
#content .twae-labels{
	top: -120px;
}

@media( min-width: 768px ) {
	#content .twae-labels{
		top: -130px;
	}	
}

/** Timeline Navigation Buttons */
#content .twae-wrapper .swiper-button-disabled{
	opacity: 0.5;
}
#content .twae-button-prev .fas,
#content .twae-button-next .fas{
	font-weight: 400;
}
#content .twae-horizontal-timeline{
	--nav-icon-height: 44px;
}

/** Timeline Dots */
#content .twae-wrapper{
	--tw-ibx-size: 24px;
}
#content .twae-icon{
	border: none;
}

/** Timeline Top Corners */
#content .twae-wrapper .twae-arrow{
	z-index: -1;
	top: 4px;
	left: calc( 50% - 8px );
	width: 16px;
	height: 16px;
	background: #0c1421;
}

/** Timeline Content */
#content .twae-content{
	margin-top: 12px;
}

/**
 * Fancy Outline
 */
:root {
	--fancy-outline-width: 8px;
	--fancy-outline-color: #66c7ff;
	--fancy-outline-radius: 20px;
	--fancy-outline-offset: 8px;
}

.elementor .fancy-outline{
	display: inline-flex;
	justify-content: center;
	padding: var(--fancy-outline-offset);
}
.elementor .fancy-outline .elementor-widget-container{
	position: relative;
}
.elementor .fancy-outline img{
	border-radius: var(--fancy-outline-radius);
	transform: translate( calc( ( var(--fancy-outline-offset) * -1) / 2 ), calc( ( var(--fancy-outline-offset) * -1 ) / 2 ) );
}
.elementor .fancy-outline .elementor-widget-container::after{
	content: "";
	position: absolute;
	top: 0;
	right: calc( var(--fancy-outline-width) * -1 );
	bottom: calc( var(--fancy-outline-width) * -1 );
	left: 0;
	border-width: var(--fancy-outline-width);
	border-style: solid;
	border-color: var(--fancy-outline-color);
	border-radius: var(--fancy-outline-radius);
	transform: translate( calc( var(--fancy-outline-offset) / 2 ), calc( var(--fancy-outline-offset) / 2 ) );
}

/**
 * IP Alert
 */

.elementor-sticky__spacer .ip-alert-placeholder{
	display: none;
}

@media( min-width: 601px ) {
	body.admin-bar #elementor-popup-modal-3666 .dialog-widget-content{
		position: fixed;
		top: 46px;
	}	
}

@media( min-width: 783px ) {
	body.admin-bar #elementor-popup-modal-3666 .dialog-widget-content{
		top: 32px;
	}	
}
